%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
%define name khexedit
%define version 0.8.5
%define release 1

Summary: K Desktop Environment Hexidecimal file editor
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
Copyright: GPL
Source: http://home.sol.no/~espensa/khexedit/%{name}-%{version}.tar.gz
Patch: khexedit-alpha.patch
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: kdesupport
Prefix: %{kdeprefix}
Url: http://home.sol.no/~espensa/khexedit/

%description
KHexEdit is a versatile binary file editor. Its key features are
undo/redo, overwrite/insert modes, hexadecimal, octal, binary or text
only display, goto/search/replace/insert, character table, pretty
printing (postscript), export to HTML, session management and
drag/drop within the KDE environment and compatibility with Qt-1.4x
and Qt-2.x.

%prep
%setup -q

cd kde1x
%patch

%build -n %{name}-%{version}
cd kde1x
export QTDIR=%{qtdir} KDEDIR=%{kdeprefix}
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
	CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
./configure \
	--with-kde-include-dir=/usr/include/kde \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make

%install
rm -rf $RPM_BUILD_ROOT
cd kde1x
make exec_prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
	$RPM_BUILD_DIR/file.list.%{name} 

find . -type f | sed -e 's|^\.|\%attr(-,root,root) |' \
        -e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's|^\.|\%attr(-,root,root) |' >> \
	$RPM_BUILD_DIR/file.list.%{name}      

%files -f ../file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%changelog
* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- updated to 0.8.5

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- initial RPM
